This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 470708 - Graphical install fails for Fedora 10 Beta and newer with Saphire X1650
Graphical install fails for Fedora 10 Beta and newer with Saphire X1650
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-09 00:01 EST by Jason
Modified: 2008-12-09 21:43 EST (History)
3 users (show)

See Also:
Fixed In Version: kernel-2.6.27.7-134.fc10.i686
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 21:43:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log file with latest kernel (black screen, system freeze) (26.30 KB, application/octet-stream)
2008-11-09 00:01 EST, Jason
no flags Details
Xorg.0.log file with 2.6.27-0.166.rc0.git8.fc10.i686 kernel (X works) (135.73 KB, application/octet-stream)
2008-11-09 00:03 EST, Jason
no flags Details

  None (edit)
Description Jason 2008-11-09 00:01:22 EST
Created attachment 322989 [details]
Xorg.0.log file with latest kernel (black screen, system freeze)

My hardware profile
http://www.smolts.org/show?uuid=pub_443347a7-99a4-4c40-9ec0-d776a28bb855


Description of problem:
Graphical install fails for Fedora 10 Beta and newer, but worked with Fedora 10 Alpha. I am using Saphire X1650 graphics card.

I was able to install Fedora 10 Preview in text mode, but had to revert to the kernel (2.6.27-0.166.rc0.git8.fc10.i686) from Fedora 10 Alpha to get X to work.

If I boot with any newer kernel the screen goes black, and system freezes.

I am not using a Xorg.conf file


Version-Release number of selected component (if applicable):


How reproducible:
Always reproducible, booting kernels newer than 2.6.27-0.166.rc0.git8.fc10.i686.


Steps to Reproduce:
1. Boot system

2. At the grub menu, select any kernel newer than
   2.6.27-0.166.rc0.git8.fc10.i686

3. Screen goes black, system freezes

 
Actual results:
Screen goes black, system freezes

Expected results:
Boot into X and login

Additional info:
Comment 1 Jason 2008-11-09 00:03:46 EST
Created attachment 322990 [details]
Xorg.0.log file with 2.6.27-0.166.rc0.git8.fc10.i686 kernel (X works)
Comment 2 Dave Airlie 2008-11-09 15:04:28 EST
please boot with drm.debug=1 and attach the dmesg.

if you can do it from -166 and a newer kernel that would be great.
Comment 3 Jason 2008-11-09 19:21:18 EST
Never had to do that before, could you provide more specific/detailed instructions for booting with drm.debug=1
Comment 4 TK009 2008-11-25 09:49:57 EST
Just after post up hit any key to bring up the boot list menu. Then hit "e" to edit the boot parameters and add drm.debug=1 to the end of those parameters and hit enter.

Thank you for your help.

This bug has been triaged
Comment 5 Bug Zapper 2008-11-26 00:05:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jason 2008-12-09 21:43:37 EST
Saphire X1650 working again with today's updates and kernel-2.6.27.7-134.fc10.i686. Closing

Note You need to log in before you can comment on or make changes to this bug.